# TODO:
# - package zsh completion
#
# Conditional build:
%bcond_with	tests		# build without tests
#
Summary:	A utility for patching ELF binaries
Name:		patchelf
Version:	0.18.0
Release:	1%{?tld}
License:	GPL
Group:		Development/Tools
URL:		https://github.com/NixOS/patchelf
Source0:	https://github.com/NixOS/patchelf/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	9b091a689583fdc7c3206679586322d5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PatchELF is simple utility for modifing existing ELF executables and
libraries. It can change the dynamic loader ("ELF interpreter") of
executables and change the RPATH of executables and libraries.

%prep
%setup -q

%build
%configure
%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*
%changelog
* Fri May 16 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/patchelf.git;a=log;h=master

* Fri May 16 2025 Marcin Krol <hawk@tld-linux.org> b460dce
- updated to 0.18.0, added TODO (package zsh completion)

* Wed Nov 24 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> d3c0f44
- Up to 0.13.

* Tue Mar 04 2008 Elan Ruusamäe <glen@pld-linux.org> 773e380
- new, based on bundled spec

